org.eclipse.incquery.patternlanguage.emf.eMFPatternLanguage

## Interface PatternModel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PatternModel

      public interface PatternModel
      extends PatternModel

  A representation of the model object 'Pattern Model'.

  The following features are supported:

  - `Import Packages`
  See Also:
    `EMFPatternLanguagePackage.getPatternModel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XImportSection` | `getImportPackages()` Returns the value of the 'Import Packages' containment reference.
    `void` | `setImportPackages(XImportSection value)` Sets the value of the '`Import Packages`' containment reference.

    - ### Methods inherited from interface org.eclipse.incquery.patternlanguage.patternLanguage.PatternModel

      `getPackageName, getPatterns, setPackageName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getImportPackages

          XImportSection getImportPackages()

      Returns the value of the 'Import Packages' containment reference.

      If the meaning of the 'Import Packages' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Import Packages' containment reference.
      See Also:
        `setImportPackages(XImportSection)`, `EMFPatternLanguagePackage.getPatternModel_ImportPackages()`

    - #### setImportPackages

          void setImportPackages(XImportSection value)

      Sets the value of the '`Import Packages`' containment reference.
      Parameters:
        `value` - the new value of the 'Import Packages' containment reference.
      See Also:
        `getImportPackages()`